<?php
/**
 * veayo functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package veayo
 */

define( 'VEAYO_THEME_NAME', 'veayo' );
define( 'VEAYO_THEME_VERSION', '1.1.4' );

define('VEAYO_PRO_URL', 'http://topgle.com/veayo/');

if ( ! function_exists( 'veayo_setup' ) ) :
	/**
	 * Sets up theme defaults and registers support for various WordPress features.
	 *
	 * Note that this function is hooked into the after_setup_theme hook, which
	 * runs before the init hook. The init hook is too late for some features, such
	 * as indicating support for post thumbnails.
	 */
	function veayo_setup() {
		/*
		 * Make theme available for translation.
		 * Translations can be filed in the /languages/ directory.
		 * If you're building a theme based on veayo, use a find and replace
		 * to change 'veayo' to the name of your theme in all the template files.
		 */
		load_theme_textdomain( 'veayo', get_template_directory() . '/languages' );

		// Add default posts and comments RSS feed links to head.
		add_theme_support( 'automatic-feed-links' );

		/*
		 * Let WordPress manage the document title.
		 * By adding theme support, we declare that this theme does not use a
		 * hard-coded <title> tag in the document head, and expect WordPress to
		 * provide it for us.
		 */
		add_theme_support( 'title-tag' );

		/*
		 * Enable support for Post Thumbnails on posts and pages.
		 *
		 * @link https://developer.wordpress.org/themes/functionality/featured-images-post-thumbnails/
		 */
		add_theme_support( 'post-thumbnails' );
		set_post_thumbnail_size( 300 );

		add_image_size( 'veayo-grid', 350 , 230, true );
		add_image_size( 'veayo-slider', 740 , 350, true );
		add_image_size( 'veayo-small', 300 , 180, true );
		add_image_size( 'topgle-widget', 86 , 60, true );


		// This theme uses wp_nav_menu() in one location.
		register_nav_menus( array(
			'menu-1'	=> esc_html__( 'Primary', 'veayo' ),
			'menu-2'	=> esc_html__( 'Secondary', 'veayo' ),
			'menu-3'	=> esc_html__( 'Footer', 'veayo' )
		) );

		/*
		 * Switch default core markup for search form, comment form, and comments
		 * to output valid HTML5.
		 */
		add_theme_support( 'html5', array(
			'search-form',
			'comment-form',
			'comment-list',
			'gallery',
			'caption',
		) );

		// Set up the WordPress core custom background feature.
		add_theme_support( 'custom-background', apply_filters( 'veayo_custom_background_args', array(
			'default-color' => '#f1f1f1',
			'default-image' => '',
			//'default-image' => '%1$s/images/bg.png',
		) ) );

		// Add theme support for selective refresh for widgets.
		add_theme_support( 'customize-selective-refresh-widgets' );

		/**
		 * Add support for core custom logo.
		 *
		 * @link https://codex.wordpress.org/Theme_Logo
		 */
		add_theme_support( 'custom-logo', array(
			'height'      => 250,
			'width'       => 250,
			'flex-width'  => true,
			'flex-height' => true,
		) );
	}
endif;
add_action( 'after_setup_theme', 'veayo_setup' );

/**
 * Set the content width in pixels, based on the theme's design and stylesheet.
 *
 * Priority 0 to make it available to lower priority callbacks.
 *
 * @global int $content_width
 */
function veayo_content_width() {
	$GLOBALS['content_width'] = apply_filters( 'veayo_content_width', 640 );
}
add_action( 'after_setup_theme', 'veayo_content_width', 0 );

/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function veayo_widgets_init() {
	register_sidebar( array(
		'name'          => esc_html__( 'Sidebar', 'veayo' ),
		'id'            => 'sidebar-1',
		'description'   => esc_html__( 'Add widgets here.', 'veayo' ),
		'before_widget' => '<section id="%1$s" class="fbox widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<div class="swidget"><h3 class="widget-title">',
		'after_title'   => '</h3></div>',
	) );
	register_sidebar( array(
		'name'          => esc_html__( 'Header Block', 'veayo' ),
		'id'            => 'sidebar-2',
		'description'   => esc_html__( 'Add widgets here.', 'veayo' ),
		'before_widget' => '<div id="%1$s" class="ads-top %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<div class="swidget"><h3 class="widget-title">',
		'after_title'   => '</h3></div>',
	) );
}
add_action( 'widgets_init', 'veayo_widgets_init' );

/**
 * Enqueue scripts and styles.
 */
function veayo_scripts() {
	wp_enqueue_style( 'veayo-font-google', 'https://fonts.googleapis.com/css?family=Open+Sans:400,700' );
	wp_enqueue_style( 'font-awesome', get_template_directory_uri() . '/css/all.css' );
	wp_enqueue_style( 'flexslider-style', get_template_directory_uri() . '/css/flexslider.css');
	wp_enqueue_style( 'veayo-style', get_stylesheet_uri() );

	wp_enqueue_script( 'veayo-navigation', get_template_directory_uri() . '/js/navigation.js', array(), '20170823', true );
	wp_enqueue_script( 'veayo-skip-link-focus-fix', get_template_directory_uri() . '/js/skip-link-focus-fix.js', array(), '20170823', true );
	wp_enqueue_script( 'veayo-flexslider', get_template_directory_uri() . '/js/jquery.flexslider.js', array('jquery'), '20150423', true );
	wp_enqueue_script( 'veayo-script', get_template_directory_uri() . '/js/script.js', array(), '20160720', true );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'veayo_scripts' );

/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/inc/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';

/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require get_template_directory() . '/inc/template-functions.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer.php';

/**
 * Load Jetpack compatibility file.
 */
if ( defined( 'JETPACK__VERSION' ) ) {
	require get_template_directory() . '/inc/jetpack.php';
}

/**
 * Widgets
 */
require get_template_directory() . '/inc/widget.php';


add_action( 'customize_register', 'veayo_includes', 0 );

function veayo_includes() {
require_once( trailingslashit( get_template_directory() ) . 'inc/customizer/custom-controls/customize-control-radio-image.php' );
require_once( trailingslashit( get_template_directory() ) . 'inc/customizer/custom-controls/control-checkbox-multiple.php' );
require_once( trailingslashit( get_template_directory() ) . 'inc/customizer/custom-controls/css-custom-control.php' );
}